ECHO OFF
CLS
ECHO:
ECHO This is the EZ-Menu version 3.6 SETUP procedure
ECHO:
ECHO This procedure will configure the EZ-Menu system to operate properly
ECHO on your machine.  You should be in the \EZMENU subdirectory when you
ECHO start this procedure.
ECHO:
PAUSE
ECHO:
ECHO Now we're going to convert any old menu files to work with EZ-Menu 3.5
ECHO If this is the first time you're using EZ-Menu, then the conversion
ECHO procedure will automatically skip the menu files.
ECHO:
EZCONV AUTO
ECHO:
ECHO One item of consideration is that if you have any menu entries of BATCH
ECHO type, you will need to copy the .BAT files into the \EZMENU subdirectory
ECHO or you might get an error when trying to execute them.  (this only
ECHO applies to people previously using an older version of EZ-Menu).
ECHO:
ECHO We will now go into EZ-Menu to configure the program parameters...
PAUSE
IF EXIST EZMENU.COM DEL EZMENU.COM
EZMENU
ECHO:
ECHO Now we are going to run a special utility called "Make-Menu" which
ECHO will scan your hard disk looking for common applications, which if
ECHO found will cause an item to be added to EZ-Menu so that you can call
ECHO the application.  For further information consult the MAKEMNU.DOC file
ECHO included in this package.  For the sake of simplicity, in MakeMenu,
ECHO please press ENTER at the questions and accept the defaults.
ECHO:
PAUSE
MAKEMNU
ECHO:
PAUSE
ECHO:
ECHO Now we are going to modify your AUTOEXEC.BAT file in order to allow
ECHO EZ-Menu to operate correctly.  Please note that NOTHING will be erased
ECHO - a few parameters will be modified; your existing applications should
ECHO not be affected in any way.
ECHO:
ECHO Try not to be intimated by these messages - you will see exactly what
ECHO changes will be made so that if your system is non-standard, it should
ECHO be relatively easy to make appropriate modifications.  In almost all
ECHO cases, the UPGRADE/INSTALL procedures will take care of everything.
ECHO:
PAUSE
AUTOMOD
IF EXIST AUTOEXEC.$$$ DEL %1\AUTOEXEC.$$$
ECHO:
ECHO Please note that EZ-Menu can be installed in other subdirectories also
ECHO For more information, consult the documentation.
ECHO:
ECHO To start EZ-Menu, type "MENU".  It is recommended however, that you
ECHO re-boot the computer in order to activate the modified AUTOEXEC.BAT.
ECHO:
ECHO == EZ-Menu is now installed ==
